import { LitElement } from 'lit';
/**
 *  @element uui-loader-circle
 * @description - Circular loader for indicating loading. You can put in in a button ;)
 */
export declare class UUILoaderCircleElement extends LitElement {
    private _circleStyle;
    /**
     * Sets the progress that loader shows
     * @type {number}
     * @attr
     * @default 0
     */
    progress: number;
    /**
     * If true then element displays progress number at bigger sizes
     * @type {boolean}
     * @attr show-progress
     * @default false
     */
    showProgress: boolean;
    private _resizeObserver;
    private _isLarge;
    firstUpdated(): void;
    disconnectedCallback(): void;
    onResize(): void;
    protected renderProgress(): "" | import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-loader-circle': UUILoaderCircleElement;
    }
}
